Page MenuHomePhabricator

Word jumping (option+arrow key) doesn't work in CodeMirror for regular wikitext editor
Closed, ResolvedPublic1 Story Points

Description

It looks like word jumping -- option+arrow key to get to the previous word or next word -- isn't working in CodeMirror now.

This is a very commonly used keystroke combination, we need to fix this.

Seen on Mac, Firefox 54.0.1

This does work for the New Wikitext Editor.

Event Timeline

DannyH created this task.Sep 8 2017, 4:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2017, 4:46 PM
DannyH updated the task description. (Show Details)Sep 8 2017, 4:46 PM
DannyH renamed this task from Word jumping (alt+arrow key) doesn't work in CodeMirror to Word jumping (option+arrow key) doesn't work in CodeMirror.Sep 8 2017, 4:53 PM
DannyH updated the task description. (Show Details)
DannyH renamed this task from Word jumping (option+arrow key) doesn't work in CodeMirror to Word jumping (option+arrow key) doesn't work in CodeMirror for regular wikitext editor.Sep 8 2017, 6:06 PM
DannyH updated the task description. (Show Details)
Pastakhov closed this task as Resolved.Sep 10 2017, 9:02 AM
Pastakhov claimed this task.
Pastakhov added a subscriber: Pastakhov.

ctrl + arrow key still working. Change 373624 makes behavior of alt + arrow key the same as when textarea used, see bug T174055.

IMO this ticket should be closed as invalid.

Pastakhov reopened this task as Open.Sep 10 2017, 9:05 AM

The status was changed by mistake... I did not want to do it by myself

Pastakhov removed Pastakhov as the assignee of this task.Sep 10 2017, 9:05 AM

ctrl + arrow key still working. Change 373624 makes behavior of alt + arrow key the same as when textarea used, see bug T174055.
IMO this ticket should be closed as invalid.

It seems maybe this fixed an issue for one OS, but introduced another for Mac? On Mac there is currently no way to jump between words, when there was beforehand. I don't think Alt+arrow controls the browser history, either, at least on my machine.

However for anyone having this problem, I recommend trying the "New wikitext mode", currently available as a Beta feature. All the native keystrokes appear to work there with CodeMirror.

Seems should be fixed. Should be used different keyMaps for Mac and PC.

Change 377302 had a related patch set uploaded (by Pastakhov; owner: Pastakhov):
[mediawiki/extensions/CodeMirror@master] Fix word jumping (option arrow key) for Mac

https://gerrit.wikimedia.org/r/377302

Change 377302 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Fix word jumping (option arrow key) for Mac

https://gerrit.wikimedia.org/r/377302

Niharika moved this task from Ready to Q1 2018-19 on the Community-Tech-Sprint board.
Niharika set the point value for this task to 1.
DannyH closed this task as Resolved.Sep 15 2017, 4:35 PM

Awesome, thanks for fixing it!

DannyH moved this task from To be estimated/discussed to Archive on the Community-Tech board.